Summary:        Utility to force unused ext2 inodes and blocks to zero
Name:           zerofree
Version:        1.1.1
Release:        %mkrel 3
License:        GPLv2
Group:          File tools
URL:            https://frippery.org/uml/
Source0:        https://frippery.org/uml/%{name}-%{version}.tgz
Source1:        https://frippery.org/uml/sparsify.c
Source2:        https://frippery.org/uml/index.html
Source3:        zerofree.sgml
Source4:        zerofree.8

BuildRequires:  e2fsprogs-devel


%description
zerofree is a utility to set unused filesystem inodes and blocks of an
ext2 filesystem to zero.  This can improve the compressibility and
privacy of an ext2 filesystem.

This tool was inspired by the ext2fs privacy (i.e. secure deletion)
patch described in a Linux kernel mailing list thread.

WARNING: The filesystem to be processed should be unmounted or mounted
read-only.  The tool tries to check this before running, but you
should be careful.


%prep
%setup -q
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .


%build
%make_build CC="gcc $RPM_OPT_FLAGS"
gcc $RPM_OPT_FLAGS sparsify.c -o sparsify -lext2fs


%install
install -D -p -m 755 zerofree $RPM_BUILD_ROOT%{_sbindir}/zerofree
install -D -p -m 755 sparsify $RPM_BUILD_ROOT%{_sbindir}/sparsify
install -D -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8/zerofree.8


%files
%doc index.html
%license COPYING
%{_sbindir}/zerofree
%{_sbindir}/sparsify
%{_mandir}/man8/zerofree.8*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1519145
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302049
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1221360
- new version: 1.1.1

* Sat Feb 06 2016 umeabot <umeabot> 1.0.3-6.mga6
+ Revision: 940728
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 751086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 690869
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 520885
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 387667
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 malo <malo> 1.0.3-1.mga3
+ Revision: 300637
- update to new version 1.0.3
- Fix RPM group

* Thu Jul 12 2012 malo <malo> 1.0.2-1.mga3
+ Revision: 270415
- update to 1.0.2 (including update of sparcify.c file)
- spec clean up

* Tue Mar 22 2011 saispo <saispo> 1.0.1-1.mga1
+ Revision: 75426
- imported package zerofree

